/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class ProductosucursalPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "sucursal_codigo")
    private String sucursalCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    private String productoCodigo;

    public ProductosucursalPK() {
    }

    public ProductosucursalPK(String sucursalCodigo, String productoCodigo) {
        this.sucursalCodigo = sucursalCodigo;
        this.productoCodigo = productoCodigo;
    }

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

//    @Override
//    public int hashCode() {
//        int hash = 0;
//        hash += (sucursalCodigo != null ? sucursalCodigo.hashCode() : 0);
//        hash += (productoCodigo != null ? productoCodigo.hashCode() : 0);
//        return hash;
//    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ProductosucursalPK)) {
            return false;
        }
        ProductosucursalPK other = (ProductosucursalPK) object;
        if ((this.sucursalCodigo == null && other.sucursalCodigo != null) || (this.sucursalCodigo != null && !this.sucursalCodigo.equals(other.sucursalCodigo))) {
            return false;
        }
        if ((this.productoCodigo == null && other.productoCodigo != null) || (this.productoCodigo != null && !this.productoCodigo.equals(other.productoCodigo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "dbCon.ProductosucursalPK[ sucursalCodigo=" + sucursalCodigo + ", productoCodigo=" + productoCodigo + " ]";
    }

}
